/*  Frog.h - Representation of a frog, its tongue, its splash, etc.

    batrachians - A robot-killing video game.
    Copyright (C) 2001-2024 Pierre Sarrazin <http://sarrazip.com/>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301, USA.
*/

#include "Frog.h"


Frog::Frog(flatzebra::RSprite *_frogSprite,
            flatzebra::RSprite *_tongueSprite,
            flatzebra::PixmapArray *_digitPixmapArray,
            SDL_Color _color)
  : frogSprite(_frogSprite),
    splashSprite(NULL),
    tongueSprite(_tongueSprite),
    digitPixmapArray(_digitPixmapArray),
    color(_color),
    score(0),
    ticksBeforeNextJump(0),
    tongueTicksLeft(0)
{
}


Frog::~Frog()
{
    delete tongueSprite;
    delete splashSprite;
    delete frogSprite;
}


void
Frog::setTicksBeforeNextJump()
{
    ticksBeforeNextJump = rand() % (FPS * 25 / 10);
}
